[Prev: ANNOTATE] | [Resources][TOC] | [Next: ATTACHMENTDIR]

# ARCHIVE

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_ARCHIVE=` [ `0` | `1` ]

Element

  N/A

Command-line Option(s)

  `-archive`
  `-noarchive`

## Description

MHonArc using the ARCHIVE resource to determine if it should create archive data after reading message data.

## Default Setting

    1

## Resource Variables

N/A

## Examples

The purpose of MHonArc is to create HTML archive, so why would you want to disable archiving? One potential purpose is to use MHonArc as a general MIME processing filter to extract all attachments in a mail folder to separate files. Luckily, the utility program mha-decode is included in the MHonArc distribution to provide basic MIME message decoding. Therefore, the lengthy example that used to be here has been deleted. You can examine the source of mha-decode to see how it interfaces with the MHonArc libraries and uses the ARCHIVE resource.

## Version

2.1.2

## See Also

mha-decode

[Prev: ANNOTATE] | [Resources][TOC] | [Next: ATTACHMENTDIR]